# eric6.E5Gui.E5ClickableLabel

Module implementing a clickable label.

### Global Attributes

None

### Classes

E5ClickableLabel | Class implementing a clickable label.

### Functions

None

## E5ClickableLabel

Class implementing a clickable label.

### Signals

clicked(QPoint)
  emitted upon a click on the label with the left button
middleClicked(QPoint)
  emitted upon a click on the label with the middle button or CTRL and left button

### Derived from

QLabel

### Class Attributes

None

### Class Methods

None

### Methods

E5ClickableLabel | Constructor
mouseReleaseEvent | Protected method handling mouse release events.

### Static Methods

None

#### E5ClickableLabel (Constructor)

E5ClickableLabel(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5ClickableLabel.mouseReleaseEvent

mouseReleaseEvent(evt)

Protected method handling mouse release events.

evt
  mouse event (QMouseEvent)

Up